Bug 1512662 - gnome-shell throws an exception every time user clicks system menu if logout is disabled
gnome-shell throws an exception every time user clicks system menu if logout ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell (Show other bugs)
7.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-13 14:36 EST by Ray Strode [halfline]
Modified: 2018-05-17 10:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: gnome-shell-3.26.2-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-10 09:07:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 790306 None None None 2017-11-13 14:37 EST
Red Hat Product Errata RHBA-2018:0770 None None None 2018-04-10 09:08 EDT

  None (edit)
Description Ray Strode [halfline] 2017-11-13 14:36:32 EST
If an admin disables logout for users using polkit:

╎❯ cat /etc/polkit-1/localauthority/90-mandatory.d/disable-shutdown.pkla
[Disallow shutdown]
Identity=unix-user:*
Action=org.freedesktop.login1.power-off*;org.freedesktop.login1.reboot*;org.freedesktop.login1.suspend*;org.freedesktop.login1.hibernate*;
ResultInactive=no
ResultActive=no

Then gnome-shell throws an exception when users click on the system menu:

Nov 13 13:56:01 localhost.localdomain gnome-shell[3346]: JS ERROR: TypeError: childToShow is null
                                                         AltSwitcher<._sync@resource:///org/gnome/shell/ui/status/system.js:70:13
                                                         wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                                         SystemActions<._updatePowerOff@resource:///org/gnome/shell/misc/systemActions.js:335:9
                                                         wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                                         SystemActions<._updateHaveShutdown/<@resource:///org/gnome/shell/misc/systemActions.js:326:13
                                                         _proxyInvoker/asyncCallback@resource:///org/gnome/gjs/modules/overrides/Gio.js:90:13
Comment 6 errata-xmlrpc 2018-04-10 09:07:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0770

Note You need to log in before you can comment on or make changes to this bug.